lv.lumii.layoutengine

## Enum LayoutConstraints.ConstraintType

- java.lang.Object
- - java.lang.Enum<LayoutConstraints.ConstraintType>
  - - lv.lumii.layoutengine.LayoutConstraints.ConstraintType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LayoutConstraints.ConstraintType>
  Enclosing class:
    LayoutConstraints

      public static enum LayoutConstraints.ConstraintType
      extends java.lang.Enum<LayoutConstraints.ConstraintType>

  The possible layout constraint types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRID` The grid type lays out the diagrams elements in a grid.
    `NONE` No additional constraints on the layout of the diagram are placed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LayoutConstraints.ConstraintType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LayoutConstraints.ConstraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LayoutConstraints.ConstraintType NONE

      No additional constraints on the layout of the diagram are placed.

    - #### GRID

          public static final LayoutConstraints.ConstraintType GRID

      The grid type lays out the diagrams elements in a grid.

  - ### Method Detail

    - #### values

          public static LayoutConstraints.ConstraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayoutConstraints.ConstraintType c : LayoutConstraints.ConstraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayoutConstraints.ConstraintType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null